List activity
Lists the activity the caller can read. Scoped to the organization named by organization_id.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Path Parameters
organization_id*string
Match
^org_Query Parameters
categories?string
actors?string
teams?string
media?string
search?string
since?string
limit?integer
Range
1 <= value <= 100cursor?string
Header Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/org_abc123/activity"{ "items": [ { "id": "string", "action": "generation.ran", "category": "generation", "event_at": "string", "actor_id": "string", "target_id": "string", "title": "string", "conversation_key": "string", "legacy_source": "mod", "generation": { "status": "pending", "output_count": 0, "duration_ms": 0, "model_name": "string", "media": "text", "prompt": "string", "credits": -9007199254740991, "outputs": [ { "id": "string", "type": "image", "url": "string" } ] }, "chat_run": { "status": "completed", "credits": -9007199254740991, "conversation_id": "string", "tools": { "completed": -9007199254740991, "failed": -9007199254740991, "declined": -9007199254740991 } }, "asset": { "type": "image", "url": "string" }, "credit": { "type": "subscription", "amount": -9007199254740991, "feature": "string", "description": "string", "conversation_id": "string" }, "invitation": { "email": "string", "role": "string" }, "import_run": { "source": "mod", "status": "queued", "members": 0, "assets": 0, "canvases": 0 }, "access": { "resource_type": "asset", "resource_id": "string", "member_id": "string", "role": "viewer" }, "project": { "id": "string", "emoji": "string", "linked_title": "string" }, "team": { "id": "string", "name": "string", "member_id": "string" } } ], "next_cursor": "string"}